#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
    //ENVIRONMENT
    ofBackground(0);
    
    //start accelerometer
    ofxAccelerometer.setup();
    
    //VARIABLE SETUP
    abel.loadFont("Abel-Regular.ttf", 32);
    
    //measure the size of the text and store those values in a textbox
    textBox=abel.getStringBoundingBox("Spinning", 0, 0);
    
    //print to console
    //use %f for float, %i for integer variables
    printf("width: %f, height: %f", textBox.width, textBox.height);
    
    angleX=0;
    angleY=0;
    angleZ=0;

}

//--------------------------------------------------------------
void ofApp::update(){
    angleX += ofxAccelerometer.getOrientation().x;
    //equals:
    //angleX= angleZ+ofxAccelerometer.getOrientation().x;
    

}

//--------------------------------------------------------------
void ofApp::draw(){
    ofSetColor(255, 127, 0);
    //start transformation matrix
    ofPushMatrix();

    ofTranslate(ofGetWidth()/2, ofGetHeight()/2);
    
    //try different directions
    //ofRotateY(angleX);
    //ofRotateX(angleX)
    ofRotateZ(angleX);

    abel.drawString("Spinning", -textBox.width/2, 0);
    //end the transformation matrix
    ofPopMatrix();
    
	
}

//--------------------------------------------------------------
void ofApp::exit(){

}

//--------------------------------------------------------------
void ofApp::touchDown(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchMoved(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchUp(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchDoubleTap(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchCancelled(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void ofApp::lostFocus(){

}

//--------------------------------------------------------------
void ofApp::gotFocus(){

}

//--------------------------------------------------------------
void ofApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void ofApp::deviceOrientationChanged(int newOrientation){

}
